Index: binaries/data/mods/public/simulation/ai/aegis/headquarters.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/headquarters.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/headquarters.js	(Arbeitskopie)
@@ -939,8 +947,8 @@
 		if (inConst == 1) {
 			var i = Math.floor(Math.random() * this.bAdvanced.length);
 			if (gameState.countEntitiesAndQueuedByType(gameState.applyCiv(this.bAdvanced[i])) < 1){
-				queues.militaryBuilding.addItem(new ConstructionPlan(gameState, this.bAdvanced[i], { "base" : 1 }));
-				queues.militaryBuilding.addItem(new ConstructionPlan(gameState, this.bAdvanced[i], { "base" : 1 }));
+				queues.militaryBuilding.addItem(new m.ConstructionPlan(gameState, this.bAdvanced[i], { "base" : 1 }));
+				queues.militaryBuilding.addItem(new m.ConstructionPlan(gameState, this.bAdvanced[i], { "base" : 1 }));
 			}
 		}
 	}
@@ -949,9 +957,9 @@
 };
 
 // TODO: use pop(). Currently unused as this is too gameable.
-HQ.prototype.garrisonAllFemales = function(gameState) {
-	var buildings = gameState.getOwnEntities().filter(Filters.byCanGarrison()).toEntityArray();
-	var females = gameState.getOwnEntities().filter(Filters.byClass("Support"));
+m.HQ.prototype.garrisonAllFemales = function(gameState) {
+	var buildings = gameState.getOwnEntities().filter(API3.Filters.byCanGarrison()).toEntityArray();
+	var females = gameState.getOwnEntities().filter(API3.Filters.byClass("Support"));
 	
 	var cache = {};
 	
@@ -974,16 +982,16 @@
 	});
 	this.hasGarrisonedFemales = true;
 };
-HQ.prototype.ungarrisonAll = function(gameState) {
+m.HQ.prototype.ungarrisonAll = function(gameState) {
 	this.hasGarrisonedFemales = false;
-	var buildings = gameState.getOwnEntities().filter(Filters.and(Filters.byClass("Structure"),Filters.byCanGarrison())).toEntityArray();
+	var buildings = gameState.getOwnEntities().filter(API3.Filters.and(API3.Filters.byClass("Structure"),API3.Filters.byCanGarrison())).toEntityArray();
 	buildings.forEach( function (struct) {
 		if (struct.garrisoned() && struct.garrisoned().length)
 			struct.unloadAll();
 		});
 };
 
-HQ.prototype.pausePlan = function(gameState, planName) {
+m.HQ.prototype.pausePlan = function(gameState, planName) {
 	for (var attackType in this.upcomingAttacks) {
 		for (var i in this.upcomingAttacks[attackType]) {
 			var attack = this.upcomingAttacks[attackType][i];
@@ -999,7 +1007,7 @@
 		}
 	}
 }
-HQ.prototype.unpausePlan = function(gameState, planName) {
+m.HQ.prototype.unpausePlan = function(gameState, planName) {
 	for (var attackType in this.upcomingAttacks) {
 		for (var i in this.upcomingAttacks[attackType]) {
 			var attack = this.upcomingAttacks[attackType][i];
@@ -1015,7 +1023,7 @@
 		}
 	}
 }
-HQ.prototype.pauseAllPlans = function(gameState) {
+m.HQ.prototype.pauseAllPlans = function(gameState) {
 	for (var attackType in this.upcomingAttacks) {
 		for (var i in this.upcomingAttacks[attackType]) {
 			var attack = this.upcomingAttacks[attackType][i];
@@ -1029,7 +1037,7 @@
 		}
 	}
 }
-HQ.prototype.unpauseAllPlans = function(gameState) {
+m.HQ.prototype.unpauseAllPlans = function(gameState) {
 	for (var attackType in this.upcomingAttacks) {
 		for (var i in this.upcomingAttacks[attackType]) {
 			var attack = this.upcomingAttacks[attackType][i];
@@ -1047,7 +1055,7 @@
 
 // Some functions are run every turn
 // Others once in a while
-HQ.prototype.update = function(gameState, queues, events) {
+m.HQ.prototype.update = function(gameState, queues, events) {	
 	Engine.ProfileStart("Headquarters update");
 	
 	this.checkEvents(gameState,events,queues);
@@ -1057,7 +1065,7 @@
 	this.trainMoreWorkers(gameState, queues);
 	
 	// sandbox doesn't expand.
-	if (Config.difficulty !== 0)
+	if (this.Config.difficulty !== 0)
 		this.checkBasesRessLevel(gameState, queues);
 
 	this.buildMoreHouses(gameState,queues);
@@ -1065,7 +1073,7 @@
 	if (gameState.getTimeElapsed() > this.techStartTime && gameState.currentPhase() > 2)
 		this.tryResearchTechs(gameState,queues);
 	
-	if (Config.difficulty > 1)
+	if (this.Config.difficulty > 1)
 		this.tryBartering(gameState);
 	
 	this.buildFarmstead(gameState, queues);
@@ -1087,7 +1095,7 @@
 	for (i in this.baseManagers)
 	{
 		this.baseManagers[i].checkEvents(gameState, events, queues)
-		if ( ( (+i + gameState.ai.playedTurn) % (uniqueIDBases - 1)) === 0)
+		if ( ( (+i + gameState.ai.playedTurn) % (m.playerGlobals[PlayerID].uniqueIDBases - 1)) === 0)
 			this.baseManagers[i].update(gameState, queues, events);
 	}
 
@@ -1113,10 +1121,10 @@
 					if (updateStep === 1 || attack.isPaused() ) {
 						// just chillin'
 					} else if (updateStep === 0 || updateStep === 3) {
-						debug ("Military Manager: " +attack.getType() +" plan " +attack.getName() +" aborted.");
+						m.debug ("Military Manager: " +attack.getType() +" plan " +attack.getName() +" aborted.");
 						if (updateStep === 3) {
 							this.attackPlansEncounteredWater = true;
-							debug("No attack path found. Aborting.");
+							m.debug("No attack path found. Aborting.");
 						}
 						attack.Abort(gameState, this);
 						this.upcomingAttacks[attackType].splice(i--,1);
@@ -1130,7 +1138,7 @@
 							chatText = "I'm starting an attack against " + gameState.sharedScript.playersData[attack.targetPlayer].name + ".";
 						gameState.ai.chatTeam(chatText);
 						
-						debug ("Military Manager: Starting " +attack.getType() +" plan " +attack.getName());
+						m.debug ("Military Manager: Starting " +attack.getType() +" plan " +attack.getName());
 						attack.StartAttack(gameState,this);
 						this.startedAttacks[attackType].push(attack);
 						this.upcomingAttacks[attackType].splice(i--,1);
@@ -1145,7 +1153,7 @@
 						chatText = "I'm starting an attack against " + gameState.sharedScript.playersData[attack.targetPlayer].name + ".";
 					gameState.ai.chatTeam(chatText);
 					
-					debug ("Military Manager: Starting " +attack.getType() +" plan " +attack.getName());
+					m.debug ("Military Manager: Starting " +attack.getType() +" plan " +attack.getName());
 					this.startedAttacks[attackType].push(attack);
 					this.upcomingAttacks[attackType].splice(i--,1);
 				}
@@ -1160,7 +1168,7 @@
 			{
 				var remaining = attack.update(gameState,this,events);
 				if (remaining == 0 || remaining == undefined) {
-					debug ("Military Manager: " +attack.getType() +" plan " +attack.getName() +" is now finished.");
+					m.debug ("Military Manager: " +attack.getType() +" plan " +attack.getName() +" is now finished.");
 					attack.Abort(gameState);
 					this.startedAttacks[attackType].splice(i--,1);
 				}
@@ -1174,14 +1182,14 @@
 	if (gameState.ai.strategy === "rush" && this.startedAttacks["CityAttack"].length !== 0) {
 		// and then we revert.
 		gameState.ai.strategy = "normal";
-		Config.Economy.femaleRatio = 0.4;
+		this.Config.Economy.femaleRatio = 0.4;
 		gameState.ai.modules.economy.targetNumWorkers = Math.max(Math.floor(gameState.getPopulationMax()*0.55), 1);
 	} else if (gameState.ai.strategy === "rush" && this.upcomingAttacks["CityAttack"].length === 0)
 	{
-		Lalala = new CityAttack(gameState, this,this.TotalAttackNumber, -1, "rush")
+		Lalala = new m.CityAttack(gameState, this, this.Config, this.TotalAttackNumber, -1, "rush")
 		this.TotalAttackNumber++;
 		this.upcomingAttacks["CityAttack"].push(Lalala);
-		debug ("Starting a little something");
+		m.debug ("Starting a little something");
 	} else if (gameState.ai.strategy !== "rush" && !this.waterMap)
 	{
 		// creating plans after updating because an aborted plan might be reused in that case.
@@ -1193,22 +1201,22 @@
 			} else {
 				// basically only the first plan, really.
 				if (this.upcomingAttacks["CityAttack"].length == 0 && gameState.getTimeElapsed() < 12*60000) {
-					var Lalala = new CityAttack(gameState, this,this.TotalAttackNumber, -1);
+					var Lalala = new m.CityAttack(gameState, this, this.Config, this.TotalAttackNumber, -1);
 					if (Lalala.failed)
 					{
 						this.attackPlansEncounteredWater = true; // hack
 					} else {
-						debug ("Military Manager: Creating the plan " +this.TotalAttackNumber);
+						m.debug ("Military Manager: Creating the plan " +this.TotalAttackNumber);
 						this.TotalAttackNumber++;
 						this.upcomingAttacks["CityAttack"].push(Lalala);
 					}
-				} else if (this.upcomingAttacks["CityAttack"].length == 0 && Config.difficulty !== 0) {
-					var Lalala = new CityAttack(gameState, this,this.TotalAttackNumber, -1, "superSized");
+				} else if (this.upcomingAttacks["CityAttack"].length == 0 && this.Config.difficulty !== 0) {
+					var Lalala = new m.CityAttack(gameState, this, this.Config, this.TotalAttackNumber, -1, "superSized");
 					if (Lalala.failed)
 					{
 						this.attackPlansEncounteredWater = true; // hack
 					} else {
-						debug ("Military Manager: Creating the super sized plan " +this.TotalAttackNumber);
+						m.debug ("Military Manager: Creating the super sized plan " +this.TotalAttackNumber);
 						this.TotalAttackNumber++;
 						this.upcomingAttacks["CityAttack"].push(Lalala);
 					}
@@ -1221,12 +1229,12 @@
 	 // very old relic. This should be reimplemented someday so the code stays here.
 	 
 	 if (this.HarassRaiding && this.preparingRaidNumber + this.startedRaidNumber < 1 && gameState.getTimeElapsed() < 780000) {
-	 var Lalala = new CityAttack(gameState, this,this.totalStartedAttackNumber, -1, "harass_raid");
+	 var Lalala = new m.CityAttack(gameState, this,this.totalStartedAttackNumber, -1, "harass_raid");
 	 if (!Lalala.createSupportPlans(gameState, this, )) {
-	 debug ("Military Manager: harrassing plan not a valid option");
+	 m.debug ("Military Manager: harrassing plan not a valid option");
 	 this.HarassRaiding = false;
 	 } else {
-	 debug ("Military Manager: Creating the harass raid plan " +this.totalStartedAttackNumber);
+	 m.debug ("Military Manager: Creating the harass raid plan " +this.totalStartedAttackNumber);
 	 
 	 this.totalStartedAttackNumber++;
 	 this.preparingRaidNumber++;
@@ -1243,7 +1251,7 @@
 	this.buildDropsites(gameState, queues);
 	Engine.ProfileStop();
 
-	if (Config.difficulty !== 0)
+	if (this.Config.difficulty !== 0)
 		this.tryBartering(gameState);
 		
 	this.buildFarmstead(gameState, queues);
@@ -1255,3 +1263,7 @@
 */
 	Engine.ProfileStop();	// Heaquarters update
 };
+
+return m;
+
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/queueplan-research.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/queueplan-research.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/queueplan-research.js	(Arbeitskopie)
@@ -1,14 +1,17 @@
-var ResearchPlan = function(gameState, type, startTime, expectedTime, rush) {
+var AEGIS = function(m)
+{
+
+m.ResearchPlan = function(gameState, type, startTime, expectedTime, rush) {
 	this.type = type;
 
-	this.ID = uniqueIDBOPlans++;
+	this.ID = m.playerGlobals[PlayerID].uniqueIDBOPlans++;
 
 	this.template = gameState.getTemplate(this.type);
 	if (!this.template || this.template.researchTime === undefined) {
 		return false;
 	}
 	this.category = "technology";
-	this.cost = new Resources(this.template.cost(),0);
+	this.cost = new API3.Resources(this.template.cost(),0);
 	this.number = 1; // Obligatory for compatibility
 	
 	if (!startTime)
@@ -30,23 +33,23 @@
 };
 
 // return true if we willstart amassing resource for this plan
-ResearchPlan.prototype.isGo = function(gameState) {
+m.ResearchPlan.prototype.isGo = function(gameState) {
 	return (gameState.getTimeElapsed() > this.startTime);
 };
 
-ResearchPlan.prototype.canStart = function(gameState) {
+m.ResearchPlan.prototype.canStart = function(gameState) {
 	// also checks canResearch
 	return (gameState.findResearchers(this.type).length !== 0);
 };
 
-ResearchPlan.prototype.start = function(gameState) {
+m.ResearchPlan.prototype.start = function(gameState) {
 	var self = this;
 	
 	// TODO: this is special cased for "rush" technologies, ie the town phase
 	// which currently is a 100% focus.
 	gameState.ai.queueManager.unpauseAll();
 	
-	//debug ("Starting the research plan for " + this.type);
+	//m.debug ("Starting the research plan for " + this.type);
 	var trainers = gameState.findResearchers(this.type).toEntityArray();
 
 	//for (var i in trainers)
@@ -66,9 +69,12 @@
 	}
 };
 
-ResearchPlan.prototype.getCost = function(){
-	var costs = new Resources();
+m.ResearchPlan.prototype.getCost = function(){
+	var costs = new API3.Resources();
 	costs.add(this.cost);
 	return costs;
 };
 
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/queue-manager.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/queue-manager.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/queue-manager.js	(Arbeitskopie)
@@ -1,3 +1,6 @@
+var AEGIS = function(m)
+{
+
 // This takes the input queues and picks which items to fund with resources until no more resources are left to distribute.
 //
 // Currently this manager keeps accounts for each queue, split between the 4 main resources
@@ -17,7 +20,8 @@
 //
 // This system should be improved. It's probably not flexible enough.
 
-var QueueManager = function(queues, priorities) {
+m.QueueManager = function(Config, queues, priorities) {
+	this.Config = Config;
 	this.queues = queues;
 	this.priorities = priorities;
 	this.account = {};
@@ -28,7 +32,7 @@
 	this.queueArrays = [];
 	for (var p in this.queues) {
 		this.account[p] = 0;
-		this.accounts[p] = new Resources();
+		this.accounts[p] = new API3.Resources();
 		this.queueArrays.push([p,this.queues[p]]);
 	}
 	this.queueArrays.sort(function (a,b) { return (self.priorities[b[0]] - self.priorities[a[0]]) });
@@ -36,7 +40,7 @@
 	this.curItemQueue = [];
 };
 
-QueueManager.prototype.getAvailableResources = function(gameState, noAccounts) {
+m.QueueManager.prototype.getAvailableResources = function(gameState, noAccounts) {
 	var resources = gameState.getResources();
 	if (noAccounts)
 		return resources;
@@ -46,16 +50,16 @@
 	return resources;
 };
 
-QueueManager.prototype.getTotalAccountedResources = function(gameState) {
-	var resources = new Resources();
+m.QueueManager.prototype.getTotalAccountedResources = function(gameState) {
+	var resources = new API3.Resources();
 	for (var key in this.queues) {
 		resources.add(this.accounts[key]);
 	}
 	return resources;
 };
 
-QueueManager.prototype.currentNeeds = function(gameState) {
-	var needs = new Resources();
+m.QueueManager.prototype.currentNeeds = function(gameState) {
+	var needs = new API3.Resources();
 	// get out current resources, not removing accounts.
 	var current = this.getAvailableResources(gameState, true);
 	//queueArrays because it's faster.
@@ -82,8 +86,8 @@
 	};
 };
 
-QueueManager.prototype.futureNeeds = function(gameState) {
-	var needs = new Resources();
+m.QueueManager.prototype.futureNeeds = function(gameState) {
+	var needs = new API3.Resources();
 	// get out current resources, not removing accounts.
 	var current = this.getAvailableResources(gameState, true);
 	//queueArrays because it's faster.
@@ -108,7 +112,7 @@
 };
 
 // calculate the gather rates we'd want to be able to use all elements in our queues
-QueueManager.prototype.wantedGatherRates = function(gameState) {
+m.QueueManager.prototype.wantedGatherRates = function(gameState) {
 	var rates = { "food" : 0, "wood" : 0, "stone" : 0, "metal" : 0 };
 	var qTime = gameState.getTimeElapsed();
 	var qCosts = { "food" : 0, "wood" : 0, "stone" : 0, "metal" : 0 };
@@ -143,7 +147,9 @@
 				// estimate time based on priority + cost + nb
 				// TODO: work on this.
 				for (type in qCosts)
+				{
 					qCosts[type] += (cost[type] + Math.min(cost[type],this.priorities[name]));
+				}
 				qTime += 30000;
 			} else {
 				// TODO: work on this.
@@ -165,7 +171,7 @@
 	return rates;
 };
 
-/*QueueManager.prototype.logNeeds = function(gameState) {
+/*m.QueueManager.prototype.logNeeds = function(gameState) {
  if (!this.totor)
  {
  this.totor = [];
@@ -255,34 +261,34 @@
 };
 */
 
-QueueManager.prototype.printQueues = function(gameState){
-	debug("QUEUES");
+m.QueueManager.prototype.printQueues = function(gameState){
+	m.debug("QUEUES");
 	for (var i in this.queues){
 		var qStr = "";
 		var q = this.queues[i];
 		if (q.queue.length > 0)
-			debug((i + ":"));
+			m.debug((i + ":"));
 		for (var j in q.queue){
 			qStr = "     " + q.queue[j].type + " ";
 			if (q.queue[j].number)
 				qStr += "x" + q.queue[j].number;
-			debug (qStr);
+			m.debug (qStr);
 		}
 	}
-	debug ("Accounts");
+	m.debug ("Accounts");
 	for (var p in this.accounts)
 	{
-		debug(p + ": " + uneval(this.accounts[p]));
+		m.debug(p + ": " + uneval(this.accounts[p]));
 	}
-	debug("Needed Resources:" + uneval(this.futureNeeds(gameState,false)));
-	debug ("Wanted Gather Rates:" + uneval(this.wantedGatherRates(gameState)));
-	debug ("Current Resources:" + uneval(gameState.getResources()));
-	debug ("Available Resources:" + uneval(this.getAvailableResources(gameState)));
+	m.debug("Needed Resources:" + uneval(this.futureNeeds(gameState,false)));
+	m.debug ("Wanted Gather Rates:" + uneval(this.wantedGatherRates(gameState)));
+	m.debug ("Current Resources:" + uneval(gameState.getResources()));
+	m.debug ("Available Resources:" + uneval(this.getAvailableResources(gameState)));
 };
 
 // nice readable HTML version.
-QueueManager.prototype.HTMLprintQueues = function(gameState){
-	if (!Config.debug)
+m.QueueManager.prototype.HTMLprintQueues = function(gameState){
+	if (!this.Config.debug)
 		return;
 	log("<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01//EN\"> <html> <head> <title>Aegis Queue Manager</title> <link rel=\"stylesheet\" href=\"table.css\">  </head> <body> <table> <caption>Aegis Build Order</caption> ");
 	for (var i in this.queues){
@@ -325,13 +331,13 @@
 	log("</body></html>");
 };
 
-QueueManager.prototype.clear = function(){
+m.QueueManager.prototype.clear = function(){
 	this.curItemQueue = [];
 	for (var i in this.queues)
 		this.queues[i].empty();
 };
 
-QueueManager.prototype.update = function(gameState) {
+m.QueueManager.prototype.update = function(gameState) {
 	var self = this;
 	
 	for (var i in this.priorities){
@@ -430,7 +436,7 @@
 							this.accounts[queues[under]] -= amnt;
 							this.accounts[queues[over]] += amnt;
 							--over;
-							debug ("Shifting " + amnt + " from " + queues[under] + " to " +queues[over]);
+							m.debug ("Shifting " + amnt + " from " + queues[under] + " to " +queues[over]);
 							continue;
 						} else {
 							++under;
@@ -447,8 +453,8 @@
 	
 	Engine.ProfileStart("Pick items from queues");
 
-	//debug ("start");
-	//debug (uneval(this.accounts));
+	//m.debug ("start");
+	//m.debug (uneval(this.accounts));
 	// Start the next item in the queue if we can afford it.
 	for (var i in this.queueArrays)
 	{
@@ -457,7 +463,7 @@
 		if (queue.length() > 0 && !queue.paused)
 		{
 			var item = queue.getNext();
-			var total = new Resources();
+			var total = new API3.Resources();
 			total.add(this.accounts[name]);
 			if (total.canAfford(item.getCost()))
 			{
@@ -471,7 +477,7 @@
 			this.accounts[name].reset();
 		}
 	}
-	//debug (uneval(this.accounts));
+	//m.debug (uneval(this.accounts));
 	
 	Engine.ProfileStop();
 	
@@ -481,7 +487,7 @@
 	Engine.ProfileStop();
 };
 
-QueueManager.prototype.pauseQueue = function(queue, scrapAccounts) {
+m.QueueManager.prototype.pauseQueue = function(queue, scrapAccounts) {
 	if (this.queues[queue])
 	{
 		this.queues[queue].paused = true;
@@ -490,12 +496,12 @@
 	}
 }
 
-QueueManager.prototype.unpauseQueue = function(queue) {
+m.QueueManager.prototype.unpauseQueue = function(queue) {
 	if (this.queues[queue])
 		this.queues[queue].paused = false;
 }
 
-QueueManager.prototype.pauseAll = function(scrapAccounts, but) {
+m.QueueManager.prototype.pauseAll = function(scrapAccounts, but) {
 	for (var p in this.queues)
 		if (p != but)
 		{
@@ -505,28 +511,30 @@
 		}
 }
 
-QueueManager.prototype.unpauseAll = function(but) {
+m.QueueManager.prototype.unpauseAll = function(but) {
 	for (var p in this.queues)
 		if (p != but)
 			this.queues[p].paused = false;
 }
 
 
-QueueManager.prototype.addQueue = function(queueName, priority) {
+m.QueueManager.prototype.addQueue = function(queueName, priority) {
 	if (this.queues[queueName] == undefined) {
-		this.queues[queueName] = new Queue();
+		this.queues[queueName] = new m.Queue();
 		this.priorities[queueName] = priority;
 		this.account[queueName] = 0;
-		this.accounts[queueName] = new Resources();
+		this.accounts[queueName] = new API3.Resources();
 
 		var self = this;
 		this.queueArrays = [];
 		for (var p in this.queues)
+		{
 			this.queueArrays.push([p,this.queues[p]]);
+		}
 		this.queueArrays.sort(function (a,b) { return (self.priorities[b[0]] - self.priorities[a[0]]) });
 	}
 }
-QueueManager.prototype.removeQueue = function(queueName) {
+m.QueueManager.prototype.removeQueue = function(queueName) {
 	if (this.queues[queueName] !== undefined) {
 		if ( this.curItemQueue.indexOf(queueName) !== -1) {
 			this.curItemQueue.splice(this.curItemQueue.indexOf(queueName),1);
@@ -539,18 +547,23 @@
 		var self = this;
 		this.queueArrays = [];
 		for (var p in this.queues)
+		{
 			this.queueArrays.push([p,this.queues[p]]);
+		}
 		this.queueArrays.sort(function (a,b) { return (self.priorities[b[0]] - self.priorities[a[0]]) });
 	}
 }
-QueueManager.prototype.changePriority = function(queueName, newPriority) {
+m.QueueManager.prototype.changePriority = function(queueName, newPriority) {
 	var self = this;
 	if (this.queues[queueName] !== undefined)
 		this.priorities[queueName] = newPriority;
 	this.queueArrays = [];
-	for (var p in this.queues) {
+	for (var p in this.queues)
+	{
 		this.queueArrays.push([p,this.queues[p]]);
 	}
 	this.queueArrays.sort(function (a,b) { return (self.priorities[b[0]] - self.priorities[a[0]]) });
 }
 
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/map-module.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/map-module.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/map-module.js	(Arbeitskopie)
@@ -1,6 +1,9 @@
+var AEGIS = function(m)
+{
+
 // other map functions
 
-Map.createObstructionMap = function(gameState, accessIndex, template){
+m.createObstructionMap = function(gameState, accessIndex, template){
 	var passabilityMap = gameState.getMap();
 	var territoryMap = gameState.ai.territoryMap;
 	
@@ -31,7 +34,7 @@
 			for (var y = 0; y < passabilityMap.height; ++y)
 			{
 				var i = x + y*passabilityMap.width;
-				var tilePlayer = (territoryMap.data[i] & TERRITORY_PLAYER_MASK);
+				var tilePlayer = (territoryMap.data[i] & 0x3F);
 				
 				if (gameState.ai.myIndex !== gameState.ai.accessibility.landPassMap[i])
 				{
@@ -88,7 +91,7 @@
 		var obstructionTiles = new Uint8Array(passabilityMap.data.length);
 		for (var i = 0; i < passabilityMap.data.length; ++i)
 		{
-			var tilePlayer = (territoryMap.data[i] & TERRITORY_PLAYER_MASK);
+			var tilePlayer = (territoryMap.data[i] & 0x3F);
 			var invalidTerritory = (
 									(!buildOwn && tilePlayer == playerID) ||
 									(!buildAlly && gameState.isPlayerAlly(tilePlayer) && tilePlayer != playerID) ||
@@ -105,7 +108,7 @@
 		}
 	}
 	
-	var map = new Map(gameState.sharedScript, obstructionTiles);
+	var map = new API3.Map(gameState.sharedScript, obstructionTiles);
 	map.setMaxVal(255);
 	
 	if (template && template.buildDistance()){
@@ -126,17 +129,19 @@
 };
 
 
-
-Map.createTerritoryMap = function(gameState) {
+m.createTerritoryMap = function(gameState) {
 	var map = gameState.ai.territoryMap;
 	
-	var ret = new Map(gameState.sharedScript, map.data);
+	var ret = new API3.Map(gameState.sharedScript, map.data);
 	
 	ret.getOwner = function(p) {
-		return this.point(p) & TERRITORY_PLAYER_MASK;
+		return this.point(p) & 0x3F;
 	}
 	ret.getOwnerIndex = function(p) {
-		return this.map[p] & TERRITORY_PLAYER_MASK;
+		return this.map[p] & 0x3F;
 	}
 	return ret;
 };
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/naval-manager.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/naval-manager.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/naval-manager.js	(Arbeitskopie)
@@ -1,3 +1,6 @@
+var AEGIS = function(m)
+{
+
 /* Naval Manager
  Will deal with anything ships.
  -Basically trade over water (with fleets and goals commissioned by the economy manager)
@@ -9,7 +12,7 @@
  Does not build them though, that's for the base manager to handle.
  */
 
-var NavalManager = function() {
+m.NavalManager = function() {
 	// accessibility zones for which we have a dock.
 	// Connexion is described as [landindex] = [seaIndexes];
 	// technically they also exist for sea zones but I don't care.
@@ -32,16 +35,16 @@
 };
 
 // More initialisation for stuff that needs the gameState
-NavalManager.prototype.init = function(gameState, events, queues) {
+m.NavalManager.prototype.init = function(gameState, events, queues) {
 	// finished docks
-	this.docks = gameState.getOwnEntities().filter(Filters.and(Filters.byClass("Dock"), Filters.not(Filters.isFoundation())));
+	this.docks = gameState.getOwnEntities().filter(API3.Filters.and(API3.Filters.byClass("Dock"), API3.Filters.not(API3.Filters.isFoundation())));
 	this.docks.allowQuickIter();
 	this.docks.registerUpdates();
 	
-	this.ships = gameState.getOwnEntities().filter(Filters.byClass("Ship"));
+	this.ships = gameState.getOwnEntities().filter(API3.Filters.byClass("Ship"));
 	// note: those two can overlap (some transport ships are warships too and vice-versa).
-	this.tpShips = this.ships.filter(Filters.byCanGarrison());
-	this.warships = this.ships.filter(Filters.byClass("Warship"));
+	this.tpShips = this.ships.filter(API3.Filters.byCanGarrison());
+	this.warships = this.ships.filter(API3.Filters.byClass("Warship"));
 
 	this.ships.registerUpdates();
 	this.tpShips.registerUpdates();
@@ -52,19 +55,19 @@
 		if (gameState.ai.accessibility.regionType[i] !== "water")
 		{
 			// push dummies
-			this.seaShips.push(new EntityCollection(gameState.sharedScript));
-			this.seaTpShips.push(new EntityCollection(gameState.sharedScript));
-			this.seaWarships.push(new EntityCollection(gameState.sharedScript));
+			this.seaShips.push(new API3.EntityCollection(gameState.sharedScript));
+			this.seaTpShips.push(new API3.EntityCollection(gameState.sharedScript));
+			this.seaWarships.push(new API3.EntityCollection(gameState.sharedScript));
 			this.wantedTpShips.push(0);
 			this.wantedWarships.push(0);
 		} else {
-			var collec = this.ships.filter(Filters.byStaticMetadata(PlayerID, "sea", i));
+			var collec = this.ships.filter(API3.Filters.byStaticMetadata(PlayerID, "sea", i));
 			collec.registerUpdates();
 			this.seaShips.push(collec);
-			collec = this.tpShips.filter(Filters.byStaticMetadata(PlayerID, "sea", i));
+			collec = this.tpShips.filter(API3.Filters.byStaticMetadata(PlayerID, "sea", i));
 			collec.registerUpdates();
 			this.seaTpShips.push(collec);
-			var collec = this.warships.filter(Filters.byStaticMetadata(PlayerID, "sea", i));
+			var collec = this.warships.filter(API3.Filters.byStaticMetadata(PlayerID, "sea", i));
 			collec.registerUpdates();
 			this.seaWarships.push(collec);
 			
@@ -76,7 +79,7 @@
 	}
 };
 
-NavalManager.prototype.getUnconnectedSeas = function (gameState, region) {
+m.NavalManager.prototype.getUnconnectedSeas = function (gameState, region) {
 	var seas = gameState.ai.accessibility.regionLinks[region]
 	if (seas.length === 0)
 		return [];
@@ -89,7 +92,7 @@
 };
 
 // returns true if there is a path from A to B and we have docks.
-NavalManager.prototype.canReach = function (gameState, regionA, regionB) {
+m.NavalManager.prototype.canReach = function (gameState, regionA, regionB) {
 	var path = gameState.ai.accessibility.getTrajectToIndex(regionA, regionB);
 	if (!path)
 	{
@@ -100,7 +103,7 @@
 		if (gameState.ai.accessibility.regionType[path[i]] == "land")
 			if (this.accessibleSeas.indexOf(path[i+1]) === -1)
 			{
-				debug ("cannot reach because of " + path[i+1]);
+				m.debug ("cannot reach because of " + path[i+1]);
 				return false;	// we wn't be able to board on that sea
 			}
 	}
@@ -108,7 +111,7 @@
 };
 
 
-NavalManager.prototype.checkEvents = function (gameState, queues, events) {
+m.NavalManager.prototype.checkEvents = function (gameState, queues, events) {
 	for (i in events)
 	{
 		if (events[i].type == "Destroy")
@@ -137,19 +140,19 @@
 	}
 };
 
-NavalManager.prototype.addPlan = function(plan) {
+m.NavalManager.prototype.addPlan = function(plan) {
 	this.transportPlans.push(plan);
 };
 
 // will create a plan at the end of the turn.
 // many units can call this separately and end up in the same plan
 // which can be useful.
-NavalManager.prototype.askForTransport = function(entity, startPos, endPos) {
+m.NavalManager.prototype.askForTransport = function(entity, startPos, endPos) {
 	this.askedPlans.push([entity, startPos, endPos]);
 };
 
 // creates aforementionned plans
-NavalManager.prototype.createPlans = function(gameState) {
+m.NavalManager.prototype.createPlans = function(gameState) {
 	var startID = {};
 
 	for (i in this.askedPlans)
@@ -178,7 +181,7 @@
 };
 
 // TODO: work on this.
-NavalManager.prototype.maintainFleet = function(gameState, queues, events) {
+m.NavalManager.prototype.maintainFleet = function(gameState, queues, events) {
 	// check if we have enough transport ships.
 	// check per region.
 	for (var i = 0; i < this.seaShips.length; ++i)
@@ -188,13 +191,13 @@
 			&& tpNb + queues.ships.length() === 0 && gameState.getTemplate(gameState.applyCiv("units/{civ}_ship_bireme")).available(gameState))
 		{
 			// TODO: check our dock can build the wanted ship types, for Carthage.
-			queues.ships.addItem(new TrainingPlan(gameState, "units/{civ}_ship_bireme", { "sea" : i }, 1, 0, -1, 1 ));
+			queues.ships.addItem(new m.TrainingPlan(gameState, "units/{civ}_ship_bireme", { "sea" : i }, 1, 0, -1, 1 ));
 		}
 	}
 };
 
 // bumps up the number of ships we want if we need more.
-NavalManager.prototype.checkLevels = function(gameState, queues) {
+m.NavalManager.prototype.checkLevels = function(gameState, queues) {
 	if (queues.ships.length() !== 0)
 		return;
 	for (var i = 0; i < this.transportPlans.length; ++i)
@@ -214,7 +217,7 @@
 };
 
 // assigns free ships to plans that need some
-NavalManager.prototype.assignToPlans = function(gameState, queues, events) {
+m.NavalManager.prototype.assignToPlans = function(gameState, queues, events) {
 	for (var i = 0; i < this.transportPlans.length; ++i)
 	{
 		var plan = this.transportPlans[i];
@@ -228,7 +231,7 @@
 				{
 					if (!ship.getMetadata(PlayerID, "tpplan"))
 					{
-						debug ("Assigning ship " + ship.id() + " to plan" + plan.ID);
+						m.debug ("Assigning ship " + ship.id() + " to plan" + plan.ID);
 						plan.assignShip(gameState, ship);
 						return true;
 					}
@@ -239,7 +242,7 @@
 	return false;
 };
 
-NavalManager.prototype.checkActivePlan = function(ID) {
+m.NavalManager.prototype.checkActivePlan = function(ID) {
 	for (var i = 0; i < this.transportPlans.length; ++i)
 		if (this.transportPlans[i].ID === ID)
 			return true;
@@ -249,7 +252,7 @@
 
 // Some functions are run every turn
 // Others once in a while
-NavalManager.prototype.update = function(gameState, queues, events) {
+m.NavalManager.prototype.update = function(gameState, queues, events) {
 	Engine.ProfileStart("Naval Manager update");
 	
 	this.checkEvents(gameState, queues, events);
@@ -286,3 +289,6 @@
 	}
 	Engine.ProfileStop();
 };
+
+return m;
+}(AEGIS);
